# Quick steps

## Requirements

MacOS: Homebrew

Windows: Chocolatey

## Install requirements

### MacOS

```
brew install virtualbox chefdk vagrant
```

### Windows

```
choco install virtualbox chefdk vagrant git
```

## Create VM

```
git clone https://github.com/jpmat296/chef-bo-bip
cd chef-bo-bip
kitchen create 42sp6p200-lin-rhel-75
```

Kitchen downloads empty VM from vagrantcloud.com for approximately 700 MB.

## Prepare BIP install files

Download from SAP following files:

 - 51052539\_part1.exe
 - 51052539\_part2.rar
 - BIPLATS4206_0-80001043\_P1.exe
 - BIPLATS4206_0-80001043\_P2.rar

Total size is 11 GB.

Prepare directories and checksum.sha files:

```
mkdir -p files/42_sp05_lin
cd files/42_sp05_lin
mv ~/Downloads/51052539_part1.exe .
mv ~/Downloads/51052539_part2.rar .
shasum -a 256 *.exe *.rar > checksum.sha
mkdir ../42_sp06_upd_lin
cd ../42_sp06_upd_lin
mv ~/Downloads/BIPLATS4206_0-80001043_P1.exe .
mv ~/Downloads/BIPLATS4206_0-80001043_P2.rar .
shasum -a 256 *.exe *.rar > checksum.sha
```

## Launch HTTP server to access files

Use command below or your prefered HTTP server:

```
cd files
python -m SimpleHTTPServer 8000
```

## Prepare environement variables

Kitchen is configured to find installation files and other paramaeters through environement variables. Here is how to configure:

```
export PASSWORD='Password1'
export PRODUCT_KEY='<FROM_YOUR_SAP_PORTAL_OR_EMERGENCY_KEYS>'
export BIP_BASE='http://10.0.2.2:8000'
```

## Launch Kitchen test


```
kitchen verify 42sp6p200-lin-rhel-75
```
