def bip_install_version_string(filename)
  case filename.downcase
  when '51052538_part1.exe', '51052539_part1.exe'
    'inst_42_sp05'
  when 'biplats4206p_200-80001043_p1.exe', 'biplats4206p_200-80001044_p1.exe'
    'inst_42_sp06_p200'
  else
    raise "Unkwown installation filename: #{filename}"
  end
end

def bip_update_version_string(filename)
  case filename.downcase
  when 'biplats4206_0-80001043_p1.exe', 'biplats4206_0-80001044_p1.exe'
    'upda_42_sp06'
  when 'biplats4205p_500-80001043_p1.exe', 'biplats4205p_500-80001044_p1.exe'
    'upda_42_sp05_p500'
  else
    raise "Unkwown update filename: #{filename}"
  end
end

def bip_hotfix_version_string(filename)
  case filename.downcase
  when 'biplatsvr4205h_501-80001043.tgz', 'biplatsvr4205h_501-80001044.exe'
    'hotf_42_sp05_p5_hf01'
  else
    raise "Unkwown hotfix filename: #{filename}"
  end
end

# See KB https://launchpad.support.sap.com/#/notes/2671301
def one_install?(filename)
  case filename.downcase
  when '51052538_part1.exe', '51052539_part1.exe'
    false
  when 'biplats4206p_200-80001043_p1.exe', 'biplats4206p_200-80001044_p1.exe'
    true
  else
    raise "Unkwown installation filename: #{filename}"
  end
end

def inventory_contains?(str)
  encoding = platform?('windows') ? 'UTF-16LE' : 'UTF-32LE'
  filepath = "#{node['bo-bip']['install_path']}/InstallData/inventory.txt"
  !File.readlines(filepath, encoding: encoding, mode: 'rb')
       .grep(Regexp.new(str.encode(encoding))).empty?
end

def win_wacs_is_running_cmd
  "(./ccm.exe -display -username Administrator -password #{node['bo-bip']['password']} | \
    Select-String -Pattern Node1.WebApplicationContainerServer -Context 0,5 | \
    out-string -stream | Select-String -SimpleMatch State | \
    out-string).Trim() -eq 'State: Running'"
end
