
if platform?('redhat')

  # Hostname set by default in rhel box is too complex for BIP
  hostname 'server1.example.com'

  timezone 'Europe/Paris'

  include_recipe 'firewall::disable_firewall'

  package 'emacs-nox'
  package 'telnet'
  package 'psmisc'

elsif platform?('windows')

  timezone 'Romance Standard Time'

  powershell_script 'Configure keyboard layout' do
    code <<-EOH
      Set-WinUserLanguageList -LanguageList fr-FR -Force
      echo $null >> #{Chef::Config['file_cache_path']}\\win-keyb.ok
    EOH
    creates "#{Chef::Config['file_cache_path']}\\win-keyb.ok"
  end

  reboot 'reboot-for-keyboard' do
    subscribes :request_reboot, 'powershell_script[Configure keyboard layout]', :immediately
  end

  include_recipe 'sysinternals::procexp'
  include_recipe 'notepadpp'

  windows_shortcut "C:\\Users\\#{ENV['USERNAME']}\\Desktop\\cache.lnk" do
    target "C:\\Users\\#{ENV['USERNAME']}\\AppData\\Local\\Temp\\kitchen\\cache"
  end

end

include_recipe 'bo-bip::default'
